Package org.h2gis.functions.io.dbf.internal

## Class DbaseFileWriter.FieldFormatter

- java.lang.Object
- - org.h2gis.functions.io.dbf.internal.DbaseFileWriter.FieldFormatter

Enclosing class:
  DbaseFileWriter

    public static class DbaseFileWriter.FieldFormatter
    extends Object

Utility for formatting Dbase fields.

### Constructor Summary

Constructors
`FieldFormatter​(Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFieldString​(int size, int decimalPlaces, Number n)`
`String` `getFieldString​(int size, String s)`
`String` `getFieldString​(Date d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldFormatter

    public FieldFormatter​(Charset charset)

### Method Detail

#### getFieldString

    public String getFieldString​(int size,
                                 String s)

#### getFieldString

    public String getFieldString​(Date d)

#### getFieldString

    public String getFieldString​(int size,
                                 int decimalPlaces,
                                 Number n)